## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/cvmfs/collectd-cvmfs

Name:           python-collectd_cvmfs
Version:        1.3.3
%global tag     %{version}
%forgemeta
Release:        %autorelease
Summary:        Collectd plugin to monitor CvmFS Clients

License:        Apache-2.0
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch
 
BuildRequires:  python3-devel
# For import in checks
BuildRequires:  collectd-python

%global _description %{expand:
Collectd module for CvmFS clients. Reports time to mount as well as
other parameters vailable from the extended attributes of a CvmFS file
system.}

%description %_description

%package -n     python3-collectd_cvmfs
Summary:        %{summary}
Requires:       collectd-python

%description -n python3-collectd_cvmfs %_description


%prep
%forgesetup

%generate_buildrequires
%pyproject_buildrequires  -t


%build
%pyproject_wheel


%install
%pyproject_install

mkdir -p %{buildroot}%{_datadir}/collectd
mv %{buildroot}%{python3_sitelib}%{_datadir}/collectd/collectd_cvmfs.db %{buildroot}%{_datadir}/collectd/collectd_cvmfs.db

%pyproject_save_files collectd_cvmfs


%check
%tox


%files -n python3-collectd_cvmfs -f %{pyproject_files}
%license LICENSE
%{_datadir}/collectd/collectd_cvmfs.db


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Python Maint <python-maint@redhat.com> - 1.3.3-14
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.3.3-10
- Rebuilt for Python 3.12

* Tue May 16 2023 Steve Traylen <steve.traylen@cern.ch> - 1.3.3-9
- Modernize Spec file
- Migrate to pyproject macros
- Use forgeurl macros and source
- Run tests
- Include LICENSE file
- Use SPDX license field
- Use autochangelog macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.3.3-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.3.3-2
- Rebuilt for Python 3.10

* Thu Apr 15 2021 Steve Traylen <steve.traylen@cern.ch> - 1.3.3-1
- Update to 1.3.3

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 8 2020 Steve Traylen <steve.traylen@cern.ch> - 1.3.1-1
- Update to 1.3.1
- Remove explicit requires as #1817425 resolved upstream now

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-7
- Rebuilt for Python 3.9

* Thu Mar 26 2020 Steve Traylen <steve.traylen@cern.ch> - 1.2.2-6
- Filter out auto generated xattr requirement

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 26 2019 Steve Traylen <steve.traylen@cern.ch> - 1.2.2-1
- New 1.2.2 release
- Change source to pypi from github.

* Mon May 13 2019 Steve Traylen <steve.traylen@cern.ch> - 1.1.0-1
- New 1.1.0 release

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 18 2018 Steve Traylen <steve.traylen@cern.ch> - 1.0.3-1
- New 1.0.3 release

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 25 2018 Steve Traylen <steve.traylen@cern.ch> - 1.0.1-1
- Initial package.

## END: Generated by rpmautospec
